Subject: Re: [RFC] Limit the size of the IPV4 route hash.

From: "David S. Miller" <[email-masked]>
Date: Sun, 12 Dec 2004 16:55:46 -0800

On Fri, 10 Dec 2004 17:40:37 -0600
Robin Holt <[email-masked]> wrote:

> Sorry, I was asleep at the wheel.  I failed to even grok your second
> paragraph.  I will fall back to agreeing with the printk to let the admin
> know that something is amiss.
> 
> Should we possibly modify the output of /proc/net/rt_cache (or whatever
> its name is) to include the hash bucket so people can watch to see how
> many bucket collisions their system has?

I think there are rt stats for this already added by Robert Olsson.

One thing not mentioned, besides the physically contiguous issue,
is that fact that the locking would need to be changed quite a bit
in order to allow runtime reallocation of the hash table.  The current
code is certainly not ready for it.  It might just work to run the
hash freeing via RCU, but I'm not quite sure.